[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBImage.WriteHeader

Write a header in the image stream.

## Declaration

Source position: dbctrls.pp line 1237

`published property TDBImage.WriteHeader : Boolean read FWriteHeader write FWriteHeader default True;`

## Description

The WriteHeader property controls whether or not a header will be written to the image stream. By default a header will be written. This helps to efficiently identify the image format when loading. The writing of a header in the image stream could be a problem if the database will be shared with external applications that do not expect a header in the image stream. In this case, set WriteHeader value to False in order to skip the header writing.

The default value is True.

Note: The WriteHeader value is ignored if the OnDbImageWrite event is implemented.